/**
 * Determines whether the specified URL is absolute
 *
 * @param {string} url The URL to test
 * @returns {boolean} True if the specified URL is absolute, otherwise false
 */
export declare function isAbsoluteURL(url: string): boolean;
/**
 * Creates a new URL by combining the specified URLs
 *
 * @param {string} baseURL The base URL
 * @param {string} relativeURL The relative URL
 * @returns {string} The combined URL
 */
export declare function combineURLs(baseURL: string, relativeURL: string): string;
/**
 * Build URL params
 *
 * @param {object} [params] The params to be appended
 * @returns {string} The formatted url
 */
export declare function buildParams(params: unknown, paramsSerializer?: (params: unknown) => string): string;
